Subject: Re: Porting "prep" from ppc to powerpc.

From: Gabriel Paubert <[email-masked]>
Date: Mon, 28 May 2007 10:46:52 +0200

On Mon, May 28, 2007 at 06:23:34PM +1000, Benjamin Herrenschmidt wrote:
> On Mon, 2007-05-28 at 09:55 +0200, Gabriel Paubert wrote:
> > I was thinking of writing a bootwrapper that would
> > convert residual data to flat device tree. There
> > is a lot of valuable information in the residual data,
> > like the interrupt routing (which is correct if you 
> > can read the spec, which is not what the code in
> > arch/ppc did). 
> 
> We were wondering the other day how reliable the residual data are...
> 

On the boards I use, they are very good. And there is some information
(memory size, tb and cpu freq, etc...) that I'd rather take from the 
residual data than trying to guess.

> David Gibson's been toying with that too already, you should sync with
> him. 

I've not yet started to write anything (finishing a hardware project).

	Regards,
	Gabriel